Bug 1342157 - Search that does not match anything has odd "error" message
Summary: Search that does not match anything has odd "error" message
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 26
Hardware: All Linux
unspecified
medium
Target Milestone: ---
Assignee: Jaroslav Rohel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 14:44 UTC by Bernardo Sulzbach
Modified: 2017-06-09 19:05 UTC (History)
6 users (show)

Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 19:05:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A cropping of the message (18.82 KB, image/png)
2016-06-02 14:44 UTC, Bernardo Sulzbach
no flags Details

Description Bernardo Sulzbach 2016-06-02 14:44:11 UTC
Created attachment 1164101 [details]
A cropping of the message

Description of problem:

When a search does not match anything, it starts the report with "Error:".

This may be the first time I see not finding anything as an **error**. It is a perfectly valid outcome of a search.

How to reproduce:

`sudo dnf search anythingthatdoesnotmatch`

Actual results:

**Error:** No matches found.

Expected results:

No matches found.

Comment 1 Igor Gnatenko 2016-06-06 09:44:41 UTC
thanks for the report. I also think that it could be removed ("Error: ")

Comment 2 Fedora Admin XMLRPC Client 2016-07-08 09:38:44 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Bernardo Sulzbach 2016-11-18 02:50:09 UTC
DNF info has the same issue.

`sudo dnf info libnone`
Produces:
Error: No matching Packages to list

See also that this does not terminate the message with a period, while the search one does.

I am willing to proceed to patch both these code paths and open a pull request if it is agreed that not finding something is not an error.

I can only hope more developers will agree with what seems to me like common sense:  dnf.exceptions.Error() should not be used just because a search did not match a package.

Comment 4 Fedora End Of Life 2016-11-25 09:11:54 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Michael Mráka 2016-11-28 15:10:07 UTC
Still valid in rawhide - dnf-2.0.0-0.rc1.4.fc26.noarch.

# dnf search qwerty
Last metadata expiration check: 0:49:45 ago on Mon Nov 28 15:19:42 2016 CET.
Error: No matches found.

Comment 6 Fedora End Of Life 2017-02-28 09:58:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Jaroslav Rohel 2017-05-16 07:11:36 UTC
PR https://github.com/rpm-software-management/dnf/pull/811

Comment 8 Fedora Update System 2017-05-22 12:40:13 UTC
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 9 Fedora Update System 2017-05-22 16:39:46 UTC
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 10 Fedora Update System 2017-05-24 08:31:21 UTC
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 11 Fedora Update System 2017-05-24 14:32:43 UTC
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 12 Fedora Update System 2017-05-25 19:17:16 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 13 Fedora Update System 2017-06-09 19:05:46 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.